Package io.dapr.v1

# Interface AppCallbackHealthCheckGrpc.AsyncService

All Known Implementing Classes:
  `AppCallbackHealthCheckGrpc.AppCallbackHealthCheckImplBase`

Enclosing class:
  AppCallbackHealthCheckGrpc

public static interface AppCallbackHealthCheckGrpc.AsyncService

     AppCallbackHealthCheck V1 is an optional extension to AppCallback V1 to implement
     the HealthCheck method.

## Method Summary

Modifier and Type
Method
Description
`default void`
`healthCheck(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.HealthCheckResponse> responseObserver)`
Health check.

## Method Details

### healthCheck

default void healthCheck(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.HealthCheckResponse> responseObserver)

     Health check.